---
id: fluxzone
name: Flux-Zone
description: "Flux-Zone is a ROMANIAN Private Torrent Tracker for MOVIES / TV / GENERAL"
language: ro-RO
type: private
encoding: UTF-8
links:
  - http://fluxzone.org/
legacylinks:
  - https://fluxzone.org/ # not supported

caps:
  categorymappings:
    - {id: 15, cat: PC/Mobile-Other, desc: "Mobile"}
    - {id: 36, cat: TV/Documentary, desc: "Docs/Others"}
    - {id: 8, cat: Movies/UHD, desc: "Filme 4K"}
    - {id: 39, cat: Movies/3D, desc: "Filme 3D"}
    - {id: 1, cat: TV/Anime, desc: "Filme Anime"}
    - {id: 42, cat: TV/Anime, desc: "Filme Anime-RO"}
    - {id: 5, cat: Movies/BluRay, desc: "Filme BluRay"}
    - {id: 6, cat: Movies/BluRay, desc: "Filme BluRay-RO"}
    - {id: 9, cat: Movies/DVD, desc: "Filme DVD"}
    - {id: 10, cat: Movies/DVD, desc: "Filme DVD-RO"}
    - {id: 11, cat: Movies/HD, desc: "Filme HD"}
    - {id: 12, cat: Movies/HD, desc: "Filme HD-RO"}
    - {id: 24, cat: Movies/SD, desc: "Filme SD"}
    - {id: 25, cat: Movies/SD, desc: "Filme SD-RO"}
    - {id: 18, cat: Movies, desc: "Filme Packs"}
    - {id: 19, cat: Movies, desc: "Filme Packs-RO"}
    - {id: 30, cat: PC/Games, desc: "Jocuri PC"}
    - {id: 38, cat: Console, desc: "Jocuri Console"}
    - {id: 26, cat: PC, desc: "Programe"}
    - {id: 28, cat: Audio/Video, desc: "Muzica/Videoclip"}
    - {id: 21, cat: TV/SD, desc: "Seriale SD"}
    - {id: 81, cat: TV/HD, desc: "Seriale HD"}
    - {id: 79, cat: TV/UHD, desc: "Seriale 4K"}
    - {id: 27, cat: XXX, desc: "XXX"}
    - {id: 32, cat: TV/Sport, desc: "Sport"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Accounts with zero activity (0 bytes download and 0 bytes upload) are automatically deleted after 30 days. Inactive VIP and un-parked accounts are automatically deleted after 40 days!"

login:
  path: takelogin.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    take_login: 1
    returnto: /
  error:
    - selector: td.embedded:contains("Login failed")
  test:
    path: /
    selector: a[href^="logout.php?auth="]

search:
  paths:
    - path: browse.php

  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
    # 0 title, 1 descr, 2 both
    blah: 0
    # 1 all, 2 onlydead, 3 free, 4 seedbox, 5 x2
    incldead: "{{ if .Config.freeleech }}3{{ else }}1{{ end }}"
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"

  rows:
    selector: table.mainblockcontenttt > tbody > tr.browse

  fields:
    category:
      selector: a[href^="browse.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      # the title from the details link is often abbreviated so we use the download href instead
      selector: a[href^="download.php/"]
      attribute: href
      filters:
        - name: regexp
          args: "download.php/\\d+/(.+?)\\.torrent"
        - name: urldecode
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php/"]
      attribute: href
    files:
      selector: td:nth-child(4)
    date:
      selector: td:nth-child(6)
      # auto adjusted by site account profile
      filters:
        - name: dateparse
          args: "HH:mm:ssdd/MM/yyyy"
    size:
      selector: td:nth-child(7)
    grabs:
      selector: td:nth-child(8)
    seeders:
      selector: td:nth-child(9)
    leechers:
      selector: td:nth-child(10)
    downloadvolumefactor:
      case:
        img[src="pic/freetorrent.png"]: 0
        "*": 1
    uploadvolumefactor:
      case:
        img[src="pic/x2.png"]: 2
        "*": 1
    minimumratio:
      text: 1.0
    minimumseedtime:
      # 2 days (as seconds =  2 x 24 x 60 x 60)
      text: 172800
# Engine n/a
